Patch custom integration by Id

Request

PATCH https://api.connectif.cloud/custom-integrations/{id}

Path parameters

Parameter name Value Description Additional
id string

Id of the custom integration to patch

Required

Request body

The request body takes a complete CustomIntegrationUpdate resource, containing the following writable properties:

{
    "color": "string",
    "description": "string",
    "eventsEnabled": "boolean",
    "imageUri": "string",
    "name": "string"
}

Properties

Name Type Description Additional
color string

The color of the custom integration

Optional
description string

The description of the custom integration

Optional
eventsEnabled boolean

Whether events are enabled for this integration

Optional
imageUri string

The image URI of the custom integration. Null if no custom image is set

Optional
name string

The name of the custom integration

Optional

Authorization

This request requires the use of one of following authorization methods: API key .

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

Success.

CustomIntegration
400 Bad Request

Bad request.

HttpError
401 Unauthorized

Not authorized to access API.

403 Forbidden

Permission not granted to the API Key or account has been blocked.

HttpError
404 Not Found

Resource not found.

HttpError
422 Unprocessable Entity

Resource contains validation errors.

HttpUnprocessableEntityError
429 Too Many Requests

Requests rate limit reached.